aboutsummaryrefslogtreecommitdiff
path: root/trunk/lib
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/lib')
-rw-r--r--trunk/lib/common.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/trunk/lib/common.sh b/trunk/lib/common.sh
index 3db98a8..5a2cb35 100644
--- a/trunk/lib/common.sh
+++ b/trunk/lib/common.sh
@@ -784,7 +784,7 @@ function handle_error {
$ERROR_PAR_NUMBER)
eecho $error "$BASENAME: incorrect number of parameters" ;;
$ERROR_COMMON_NOT_FOUND)
- eecho $error "$BASENAME: file $COMMON_SH not found. Check your $BASENAME installation"
+ eecho $error "$BASENAME: file $COMMON_SH not found. Check your $BASENAME installation" ;;
#
# Createpkg errors
@@ -810,7 +810,7 @@ function handle_error {
eecho $error "$BASENAME: unknown error or user interrupt" ;;
esac
- exit $1
+ is_number $1 && exit $1 || exit 1
}